# $Id$
# Authority: dag

Summary: Pidgin protocol plugin to connect to MS Office Communicator
Name: pidgin-sipe
Version: 1.11.2
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Internet
URL: http://sipe.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/project/sipe/sipe/pidgin-sipe-%{version}/pidgin-sipe-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: e2fsprogs-devel
BuildRequires: gettext
BuildRequires: glib2-devel >= 2.12.0
BuildRequires: intltool
BuildRequires: krb5-devel
BuildRequires: libpurple-devel >= 2.4.0
BuildRequires: libxml2-devel
BuildRequires: zlib-devel
Requires: purple-sipe = %{version}-%{release}

%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

This package provides the icon set for Pidgin.

%package -n purple-sipe
Summary: Libpurple protocol plugin to connect to MS Office Communicator
Group: Applications/Internet
License: GPLv2+

%description -n purple-sipe
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

This package provides the protocol plugin for libpurple clients.

%prep
%setup

%build
%configure \
    --disable-telepathy \
    --enable-purple \
    --with-krb5
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.*

%files -n purple-sipe -f %{name}.lang
%defattr(-, root, root, 0755)
%{_libdir}/purple-2/libsipe.so
%exclude %{_libdir}/purple-2/libsipe.la

%changelog
* Fri Jun 08 2012 Dag Wieers <dag@wieers.com> - 1.11.2-1
- Initial package. (using DAR)
